#include "Point2D.h"

#include <math.h>


Point2D::Point2D(void){
	Point2D(0.0, 0.0);
}

Point2D::Point2D(float x, float y){
	this->x = x;
	this->y = y;

	return;
}

Point2D::~Point2D(){}

void Point2D::Set(float x, float y){
	this->x = x;
	this->y = y;

	return;
}

void Point2D::Set(Point2D ptArg){
	x = ptArg.x;
	y = ptArg.y;

	return;
}

Point2D Point2D::operator +(Point2D ptArg){
	return Point2D(x + ptArg.x, y + ptArg.y);
}

Point2D Point2D::operator -(Point2D ptArg){
	return Point2D(x - ptArg.x, y - ptArg.y);
}

Point2D Point2D::operator *(float fFac){
	return Point2D(x * fFac, y * fFac);
}

float Point2D::operator *(Point2D ptPoint){
	return x * ptPoint.x + y * ptPoint.y;
}

Point2D Point2D::operator /(float fFac){
	return Point2D(x / fFac, y / fFac);
}

float Point2D::norm(void){
	return sqrt(pow(x, 2) + pow(y, 2));
}
