
#ifndef __POINT2D_H_
#define __POINT2D_H_


#define DotProduct(Point1, Point2)   ((Point1).x * (Point2).x + (Point1).y * (Point2).y)
#define PerpProduct(Point1, Point2)  ((Point1).x * (Point2).y - (Point1).y * (Point2).x)


class Point2D{
public:
	float x, y;
	
	Point2D();
	Point2D(float x, float y);

	Point2D::~Point2D();


	void Set(float x, float y);
	void Set(Point2D ptArg);


	Point2D operator +(Point2D ptArg);
	Point2D operator -(Point2D ptArg);
	Point2D operator *(float fFac);
	float operator *(Point2D ptPoint);
	Point2D operator /(float fFac);

	float norm(void);
};


#endif
