#ifndef __POINT3D_H_
#define __POINT3D_H_




class Point3D{
public:
	float x, y, z;
	
	Point3D();
	Point3D(float x, float y, float z);

	Point3D::~Point3D();

	void Set(float x, float y, float z);
	void Set(Point3D ptArg);

	Point3D rotate(float fDegX, float fDegY, float fDegZ);
	void backrotate(Point3D ptTarget, float *fDegX, float *fDegY, float *fDegZ);

	Point3D operator -();

	Point3D operator +(Point3D ptArg);
	Point3D operator -(Point3D ptArg);
	
	Point3D operator *(float fFac);
	Point3D operator /(float fFac);

	Point3D& operator+=(Point3D& ptArg);
	Point3D& operator-=(Point3D& ptArg);
	Point3D& operator/=(float fFac);
	Point3D& operator*=(float fFac);

	Point3D operator ^(Point3D ptArg);
	double operator &(Point3D ptArg);

	bool operator <=(Point3D ptComp);
	bool operator >=(Point3D ptComp);

	float norm(void);
};


#endif
