
#include "Triangle2D.h"

#include "global.h"


Triangle2D::Triangle2D()
{

}

Triangle2D::Triangle2D(Point2D ptPointA, Point2D ptPointB, Point2D ptPointC)
{
	this->ptPointA = ptPointA;
	this->ptPointB = ptPointB;
	this->ptPointC = ptPointC;
}

double Triangle2D::SignedArea()
{
	return ptPointB.x * ptPointC.y + ptPointA.x * ptPointB.y + ptPointC.x * ptPointA.y - ptPointB.x * ptPointA.y - ptPointC.x * ptPointB.y - ptPointA.x * ptPointC.y;
}

double Triangle2D::Area()
{
	return abs(SignedArea());
}

bool Triangle2D::Contains(Point2D ptTest)
{
	SIGN signTemp = sign(Triangle2D(ptPointA, ptTest, ptPointC).SignedArea());
	return ((sign(Triangle2D(ptPointC, ptTest, ptPointB).SignedArea()) == signTemp) && (sign(Triangle2D(ptPointB, ptTest, ptPointA).SignedArea()) == signTemp));
}
