
#ifndef __MATRIX3X3_H_
#define __MATRIX3X3_H_


#include "Point3D.h"


class Matrix3x3{
public:
	Matrix3x3();
	Matrix3x3(float fMatrix[3][3]);
	Matrix3x3(Point3D ptCol1, Point3D ptCol2, Point3D ptCol3);
	Matrix3x3(	float fVal11, float fVal12, float fVal13, 
				float fVal21, float fVal22, float fVal23, 
				float fVal31, float fVal32, float fVal33);
	
	~Matrix3x3();

	Point3D operator *(Point3D ptArg);

private:
	float fMatrix[3][3];
};


#endif
