// Algoritmos Basicos GUIDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Algoritmos Basicos GUI.h"
#include "Algoritmos Basicos GUIDlg.h"

#include <global.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CAlgoritmosBasicosGUIDlg dialog




CAlgoritmosBasicosGUIDlg::CAlgoritmosBasicosGUIDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAlgoritmosBasicosGUIDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CAlgoritmosBasicosGUIDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAlgoritmosBasicosGUIDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CAlgoritmosBasicosGUIDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CAlgoritmosBasicosGUIDlg message handlers

BOOL CAlgoritmosBasicosGUIDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	vPoints.push_back(Point2D(6.0, 5.0));
	vPoints.push_back(Point2D(3.0, 4.0));
	vPoints.push_back(Point2D(7.0, 6.0));
	vPoints.push_back(Point2D(8.0, 2.0));
	vPoints.push_back(Point2D(4.0, 2.0));

	rcRect1 = Rect2D(Point2D(2.0, 1.0), Point2D(5.0, 5.0));
	rcRect2 = Rect2D(Point2D(3.5, 1.5), Point2D(7.5, 6.5));
	
	ptDirection = Point2D(2.0, 1.0);
	ptRef = Point2D(6.0, 4.0);

	Point2D ptResult;
	int iResult = MaximumAbscissa(&vPoints, &ptResult);
	Rect2D rcResult;
	bool bResult = BoundingBox(&vPoints, &rcResult);
	rcBoundingBox = rcResult;
	bResult = MaximumAbscissaMultiple(&vPoints, &vMaxAbscissa);
	iResult = MaximumInDirection(&vPoints, ptDirection, &ptMaxDir);
	SortPointsByAbscissaAscending(&vPoints, &vSortedByAbscissa);
	SortPointsByDirectionAscending(&vPoints, ptDirection, &vSortedByDirection);
	PointsInRect(&vPoints, rcRect1, &vInRect1);
	PointsInRect(&vPoints, rcRect2, &vInRect2);
	SortPointsAngular(&vPoints, ptRef, &vSortedByAngle);

	// ---

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CAlgoritmosBasicosGUIDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CAlgoritmosBasicosGUIDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CPaintDC dc(this);
		CRect rcWnd;
		//GetWindowRect(&rcWnd);
		GetClientRect(&rcWnd);
		
		CPen penRed;
		penRed.CreatePen(PS_SOLID, 1, RGB(255, 0, 0));
		CBrush brushRed;
		brushRed.CreateSolidBrush(RGB(255, 0, 0));

		CPen penGreen;
		penGreen.CreatePen(PS_SOLID, 1, RGB(0, 255, 0));
		CBrush brushGreen;
		brushGreen.CreateSolidBrush(RGB(0, 255, 0));

		CPen penBlack;
		penBlack.CreatePen(PS_SOLID, 1, RGB(0, 0, 0));
		CBrush brushBlack;
		brushBlack.CreateSolidBrush(RGB(0, 0, 0));
		
		CPen penGray;
		penGray.CreatePen(PS_SOLID, 1, RGB(190, 190, 190));
		CBrush brushGray;
		brushGray.CreateSolidBrush(RGB(190, 190, 190));

		CPen penBlue;
		penBlue.CreatePen(PS_SOLID, 1, RGB(0, 0, 255));
		CBrush brushBlue;
		brushBlue.CreateSolidBrush(RGB(0, 0, 255));
		
		CPen penYellow;
		penYellow.CreatePen(PS_SOLID, 1, RGB(255, 255, 0));
		CBrush brushYellow;
		brushYellow.CreateSolidBrush(RGB(255, 255, 0));

		CPen penBrown;
		penBrown.CreatePen(PS_SOLID, 1, RGB(255, 0, 255));
		CBrush brushBrown;
		brushBrown.CreateSolidBrush(RGB(255, 0, 255));

		CPen * pOldPen = dc.SelectObject(&penBlack);

		// actual drawing
		// ----------------------
		
		int iScale = 30;

		// background field
		dc.Rectangle(rcWnd.Width() * 0.05, rcWnd.Height() * 0.05, rcWnd.Width() * 0.95, rcWnd.Height() * 0.95);
		
		// draw bounding box
		dc.SelectObject(&penGray);
		dc.Rectangle(rcWnd.Width() * 0.1 + rcBoundingBox.ptLeftBottom.x * iScale - 2, rcWnd.Height() * 0.9 - rcBoundingBox.ptLeftBottom.y * iScale + 2, rcWnd.Width() * 0.1 + rcBoundingBox.ptUpperRight.x * iScale + 2, rcWnd.Height() * 0.9 - rcBoundingBox.ptUpperRight.y * iScale - 2);
		
		// draw rectangles
		dc.FrameRect(CRect(rcWnd.Width() * 0.1 + rcRect1.ptLeftBottom.x * iScale, rcWnd.Height() * 0.9 - rcRect1.ptUpperRight.y * iScale, rcWnd.Width() * 0.1 + rcRect1.ptUpperRight.x * iScale, rcWnd.Height() * 0.9 - rcRect1.ptLeftBottom.y * iScale), &brushYellow);
		dc.FrameRect(CRect(rcWnd.Width() * 0.1 + rcRect2.ptLeftBottom.x * iScale, rcWnd.Height() * 0.9 - rcRect2.ptUpperRight.y * iScale, rcWnd.Width() * 0.1 + rcRect2.ptUpperRight.x * iScale, rcWnd.Height() * 0.9 - rcRect2.ptLeftBottom.y * iScale), &brushBrown);

		// draw sorted point numbers
		dc.SetTextColor(RGB(255, 0, 0));
		for(unsigned int i = 0; i < vSortedByAbscissa.size(); i++){
			char szTemp[256] = "";
			_itoa_s(i + 1, szTemp, 256, 10);
			CString szNumber = szTemp;
			dc.DrawText(szNumber, szNumber.GetLength(), CRect(rcWnd.Width() * 0.1 + vSortedByAbscissa[i].x * iScale - 8, rcWnd.Height() * 0.9 - vSortedByAbscissa[i].y * iScale - 18, rcWnd.Width() * 0.1 + vSortedByAbscissa[i].x * iScale + 8, rcWnd.Height() * 0.9 - vSortedByAbscissa[i].y * iScale - 4), DT_CENTER | DT_TOP);
		}
		
		// draw direction sorted point numbers
		dc.SetTextColor(RGB(0, 255, 0));
		for(unsigned int i = 0; i < vSortedByDirection.size(); i++){
			char szTemp[256] = "";
			_itoa_s(i + 1, szTemp, 256, 10);
			CString szNumber = szTemp;
			dc.DrawText(szNumber, szNumber.GetLength(), CRect(rcWnd.Width() * 0.1 + vSortedByDirection[i].x * iScale - 8, rcWnd.Height() * 0.9 - vSortedByDirection[i].y * iScale + 4, rcWnd.Width() * 0.1 + vSortedByDirection[i].x * iScale + 8, rcWnd.Height() * 0.9 - vSortedByDirection[i].y * iScale + 18), DT_CENTER | DT_TOP);
		}

		// draw angular sorted point numbers
		dc.SetTextColor(RGB(0, 0, 255));
		for(unsigned int i = 0; i < vSortedByAngle.size(); i++){
			char szTemp[256] = "";
			_itoa_s(i + 1, szTemp, 256, 10);
			CString szNumber = szTemp;
			dc.DrawText(szNumber, szNumber.GetLength(), CRect(rcWnd.Width() * 0.1 + vSortedByAngle[i].x * iScale + 6, rcWnd.Height() * 0.9 - vSortedByAngle[i].y * iScale - 8, rcWnd.Width() * 0.1 + vSortedByAngle[i].x * iScale + 12, rcWnd.Height() * 0.9 - vSortedByAngle[i].y * iScale + 8), DT_CENTER | DT_TOP);
		}

		// draw x-axes
		dc.SelectObject(&penRed);
		dc.MoveTo(rcWnd.Width() * 0.1, rcWnd.Height() * 0.9);
		dc.LineTo(rcWnd.Width() * 0.9, rcWnd.Height() * 0.9);

		// draw y-axes
		dc.SelectObject(&penBlack);
		dc.MoveTo(rcWnd.Width() * 0.1, rcWnd.Height() * 0.9);
		dc.LineTo(rcWnd.Width() * 0.1, rcWnd.Height() * 0.1);

		// draw direction vertex
		dc.SelectObject(&penGreen);
		Point2D ptDir = ptDirection / ptDirection.norm() * 400.0;
		dc.MoveTo(rcWnd.Width() * 0.1, rcWnd.Height() * 0.9);
		dc.LineTo(rcWnd.Width() * 0.1 + ptDir.x, rcWnd.Height() * 0.9 - ptDir.y);

		// draw ref point
		dc.SelectObject(&penBlue);
		dc.Ellipse(rcWnd.Width() * 0.1 + ptRef.x * iScale - 1, rcWnd.Height() * 0.9 - ptRef.y * iScale - 1, rcWnd.Width() * 0.1 + ptRef.x * iScale + 1, rcWnd.Height() * 0.9 - ptRef.y * iScale + 1);

		// draw point with maximum in direction
		dc.SelectObject(&penGreen);
		dc.Ellipse(rcWnd.Width() * 0.1 + ptMaxDir.x * iScale - 6, rcWnd.Height() * 0.9 - ptMaxDir.y * iScale - 6, rcWnd.Width() * 0.1 + ptMaxDir.x * iScale + 6, rcWnd.Height() * 0.9 - ptMaxDir.y * iScale + 6);
		
		// draw points with maximum abscissa
		dc.SelectObject(&penRed);
		for(unsigned int i = 0; i < vMaxAbscissa.size(); i++)
			dc.Ellipse(rcWnd.Width() * 0.1 + vMaxAbscissa[i].x * iScale - 5, rcWnd.Height() * 0.9 - vMaxAbscissa[i].y * iScale - 5, rcWnd.Width() * 0.1 + vMaxAbscissa[i].x * iScale + 5, rcWnd.Height() * 0.9 - vMaxAbscissa[i].y * iScale + 5);
		
		// draw points in rect1
		dc.SelectObject(&penYellow);
		for(unsigned int i = 0; i < vInRect1.size(); i++)
			dc.Ellipse(rcWnd.Width() * 0.1 + vInRect1[i].x * iScale - 4, rcWnd.Height() * 0.9 - vInRect1[i].y * iScale - 4, rcWnd.Width() * 0.1 + vInRect1[i].x * iScale + 4, rcWnd.Height() * 0.9 - vInRect1[i].y * iScale + 4);

		// draw points in rect2
		dc.SelectObject(&penBrown);
		for(unsigned int i = 0; i < vInRect2.size(); i++)
			dc.Ellipse(rcWnd.Width() * 0.1 + vInRect2[i].x * iScale - 3, rcWnd.Height() * 0.9 - vInRect2[i].y * iScale - 3, rcWnd.Width() * 0.1 + vInRect2[i].x * iScale + 3, rcWnd.Height() * 0.9 - vInRect2[i].y * iScale + 3);

		// draw all points
		dc.SelectObject(&penBlack);
		for(unsigned int i = 0; i < vPoints.size(); i++)
			dc.Ellipse(rcWnd.Width() * 0.1 + vPoints[i].x * iScale - 2, rcWnd.Height() * 0.9 - vPoints[i].y * iScale - 2, rcWnd.Width() * 0.1 + vPoints[i].x * iScale + 2, rcWnd.Height() * 0.9 - vPoints[i].y * iScale + 2);

		// draw angle lines
		dc.SelectObject(&penGray);
		for(unsigned int i = 0; i < vSortedByAngle.size(); i++){
			dc.MoveTo(rcWnd.Width() * 0.1 + ptRef.x * iScale, rcWnd.Height() * 0.9 - ptRef.y * iScale);
			dc.LineTo(rcWnd.Width() * 0.1 + vSortedByAngle[i].x * iScale, rcWnd.Height() * 0.9 - vSortedByAngle[i].y * iScale);
		}


		// ----------------------
		// ----------------------

		dc.SelectObject(pOldPen);

		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CAlgoritmosBasicosGUIDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CAlgoritmosBasicosGUIDlg::OnBnClickedOk()
{
	MessageBeep(-1);
	
	//OnOK();
}
