// Algoritmos Basicos GUIDlg.h : header file
//

#pragma once

#include <Point2D.h>
#include <Rect2D.h>

#include <vector>


// CAlgoritmosBasicosGUIDlg dialog
class CAlgoritmosBasicosGUIDlg : public CDialog
{
// Construction
public:
	CAlgoritmosBasicosGUIDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_ALGORITMOSBASICOSGUI_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	std::vector<Point2D> vPoints;
	Point2D ptDirection;
	Point2D ptRef;

	Rect2D rcBoundingBox;
	std::vector<Point2D> vMaxAbscissa;
	std::vector<Point2D> vSortedByAbscissa;
	std::vector<Point2D> vSortedByDirection;
	std::vector<Point2D> vSortedByAngle;
	std::vector<Point2D> vInRect1, vInRect2;
	Point2D ptMaxDir;

	Rect2D rcRect1, rcRect2;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
};
